<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->add('cms_homepage.industry_subtitle', 'Industry Certifications');
        $this->migrator->add('cms_homepage.industry_header', 'We Drive Client Success with Creative Building Designs');
        $this->migrator->add('cms_homepage.industry_paragraph', 'At BuildGo, we pride ourselves on transforming our clients\' visions into reality. Our innovative and client-focused designs ensure that every project stands out.');
        $this->migrator->add('cms_homepage.industry_button_text', 'Contact Us');
        $this->migrator->add('cms_homepage.industry_button_url', 'contact.html');
        $this->migrator->add('cms_homepage.industry_image_one', 'page/image-2.jpg');
        $this->migrator->add('cms_homepage.industry_items', [
            ['icon' => 'icon/icon-3.svg', 'title' => 'Custom Designs', 'description' => 'Tailored building solutions that reflect your vision style'],
            ['icon' => 'icon/icon-2.svg', 'title' => 'Interior Plans', 'description' => 'Creating aesthetically pleasing functional interior spaces'],
        ]);

        $this->migrator->add('cms_homepage.text_slide_subtitle', 'Construction design');
        $this->migrator->add('cms_homepage.text_slide_header', 'Digital Consulting The Key to Smarter Building');
        $this->migrator->add('cms_homepage.text_slide_image', 'page/cta.jpg');
        $this->migrator->add('cms_homepage.text_slide_counter_number', 29);
        $this->migrator->add('cms_homepage.text_slide_items', [
            ['icon' => 'icon/star-dark.svg', 'link' => 'portfolio-details', 'text' => 'Residential'],
            ['icon' => 'icon/star-dark.svg', 'link' => 'portfolio-details', 'text' => 'Architecture'],
            ['icon' => 'icon/star-dark.svg', 'link' => 'portfolio-details', 'text' => 'Community'],
            ['icon' => 'icon/star-dark.svg', 'link' => 'portfolio-details', 'text' => 'Healthcare'],
            ['icon' => 'icon/star-dark.svg', 'link' => 'portfolio-details', 'text' => 'Seaside Resort'],
            ['icon' => 'icon/star-dark.svg', 'link' => 'portfolio-details', 'text' => 'Modern'],
        ]);
    }
};
